ASTEscapedDirective (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTEscapedDirective class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTEscapedDirective

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTEscapedDirective

All Implemented Interfaces:
  Node, Renderable

public class ASTEscapedDirective
extends SimpleNode

This class is responsible for handling EscapedDirectives in VTL. Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTEscapedDirective.java 731266 2009-01-04 15:11:20Z byron $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTEscapedDirective(int id)`
`ASTEscapedDirective(Parser p, int id)`

Method Summary
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`boolean` | `render(InternalContextAdapter context, Writer writer)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, setFirstToken, setInfo, setInvalid, toString, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTEscapedDirective

    public ASTEscapedDirective(int id)

Parameters:
  `id` -

### ASTEscapedDirective

    public ASTEscapedDirective(Parser p,
                               int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### render

    public boolean render(InternalContextAdapter context,
                          Writer writer)
                   throws IOException

  Specified by:
    `render` in interface `Node`
  Overrides:
    `render` in class `SimpleNode`
  Throws:
    `IOException`
  See Also:
    `SimpleNode.render(org.apache.velocity.context.InternalContextAdapter, java.io.Writer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.